# $Revision: 1.38 $, $Date: 2006/11/07 22:18:09 $
Summary:	KDE frontend for subversion
Summary(de):	KDE Frontend fr Subversion
Summary(pl):	Frontend KDE do subversion
Name:		kdesvn
Version:	0.11.0
Release:	2
License:	GPL v2
Group:		X11/Development/Tools
Source0:	http://www.alwins-world.de/programs/download/kdesvn/%{name}-%{version}.tar.bz2
# Source0-md5:	466ea28e5e66d0536ff57b9da4cc95bd
Patch0:		%{name}-desktop.patch
URL:		http://www.alwins-world.de/programs/kdesvn/
BuildRequires:	cmake >= 2.4.0
BuildRequires:	kdelibs-devel >= 9:3.2.0
BuildRequires:	rpmbuild(macros) >= 1.293
BuildRequires:	subversion-devel >= 1.2.0
BuildConflicts:	kdesvn-svnqt-devel < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kdesvn is yet another client for subversion. But it uses native KDE
API instead of a extra lib like GAMBAS and it is using the native
subversion delevelopment API instead of just parsing the output of the
commandline tool like most other clients do.

It tries to setup a look and feel like the standard filemanager of
KDE.

%description -l de
Kdesvn ist ein weiterer Subversion Klient. Aber es benutzt die native
KDE API anstatt einer zustzlichen Bibliothek wie GAMBAS und es
benutzt die native subversion Development API anstatt nur die Ausgabe
zu parsen wie die meisten anderen Klienten es tun.

%description -l pl
Kdesvn jest kolejnym klientem subversion. Uywa jednak natywnego API
KDE zamiast dodatkowej biblioteki jak GAMBAS, jak rwnie uywa
natywnego API subversion zamiast analizy wyjcia narzdzia
dziaajcego z linii polece, jak to robi inni klienci subversion.

Program ten stara si ustawi wygld zbliony do standardowego
zarzdcy plikw KDE.

%package svnqt
Summary:	Wrapper library for subversion Qt integration
Summary(pl):	Wrapper biblioteki subversion do intergracji z Qt
Group:		Libraries
Requires:	subversion-libs >= 1.2.0

%description svnqt
Shared library which contains a Qt C++ wrapper for subversion. It is
core part of kdesvn but is designed to not require KDE so plain Qt
programs may use it.

%description svnqt -l pl
Biblioteka wspdzielona zawierajca wrapper C++ do obsugi
subversion. Jest gwn czci kdesvn, ale nie wymaga KDE, wic moe
by uywana w programach korzystajcych z samego Qt.

%package svnqt-devel
Summary:	Wrapper library header files for subversion Qt integration
Summary(pl):	Pliki nagwkowe wrappera biblioteki subversion dla Qt
Group:		Development/Libraries
Requires:	%{name}-svnqt = %{version}-%{release}
Requires:	qt-devel
Requires:	subversion-devel >= 1.2.0

%description svnqt-devel
Header files for wrapper library for subversion Qt integration.

%description svnqt-devel -l pl
Pliki nagwkowe biblioteki wspdzielonej zawierajcej wrapper C++ do
obsugi subversion.

%prep
%setup -q
%patch0 -p1

%build
%cmake \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	.

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	svnqt -p /sbin/ldconfig
%postun	svnqt -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/kde3/*.so
%{_libdir}/kde3/*.la
%{_desktopdir}/kde/kdesvn.desktop
%{_iconsdir}/*/*/*/*.png
%{_iconsdir}/*/*/*/*.svgz
%{_datadir}/apps/%{name}
%{_datadir}/apps/kdesvnpart
%{_datadir}/services/*.protocol
%{_datadir}/services/kded/kdesvnd.desktop
%{_datadir}/config.kcfg/*
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_mandir}/man1/kdesvn.1*
%{_mandir}/man1/kdesvnaskpass.1*

%files svnqt
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsvnqt*.so.*.*.*

%files svnqt-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsvnqt*.so
%{_libdir}/libsvnqt.la
%{_includedir}/svnqt

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kdesvn.spec,v $
Revision 1.38  2006/11/07 22:18:09  glen
- do not own %{_desktopdir}/kde; rel 2

Revision 1.37  2006/10/27 14:33:52  maciek2w
- added BC:kdesvn-svnqt-devel < %{version}; Build fails if older version is
  installed because of linking to already installed svnqt library not to
  newly compiled one.

Revision 1.36  2006/10/27 12:41:53  glen
- cosmetic

Revision 1.35  2006/10/27 12:41:28  glen
- cmake build system doesn't use any regular am macros
- fix kdedocdir

Revision 1.34  2006/10/27 10:09:16  shadzik
- 0.11.0

Revision 1.33  2006/10/07 17:33:22  pluto
- x86-64 build fix, release 1.

Revision 1.32  2006/10/05 10:54:13  glen
- macros for %cmake

Revision 1.31  2006/10/05 07:41:21  qboosh
- files fix

Revision 1.30  2006/10/04 23:17:50  shadzik
- up to 0.10.0
- removed kde-ac260-lt.patch, kdesvn now uses cmake to configure
- added man files
- rel 0.1

Revision 1.29  2006/09/18 12:41:12  pluto
- kde-ac260-lt.patch, release 2.

Revision 1.28  2006/09/16 18:02:34  rotom
- up to 0.9.3

Revision 1.27  2006/08/27 21:44:16  shadzik
- 0.9.2

Revision 1.26  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.25  2006/07/23 21:07:16  vip
- up to 0.9.1

Revision 1.24  2006/07/17 23:10:31  adamg
- updated to 0.9.0

Revision 1.23  2006/06/29 19:54:45  shadzik
- german description (which cleared TODO list)
- adapterized

Revision 1.22  2006/06/25 02:59:42  shadzik
- up to 0.8.5; added TODO

Revision 1.21  2006/06/05 16:13:56  shadzik
- apr-utils-devel already required by subversion-devel

Revision 1.20  2006/05/20 20:40:55  adamg
- updated to 0.8.4

Revision 1.19  2006/05/15 06:22:15  charles
- updated to 0.8.3

Revision 1.18  2006/04/21 10:28:34  adamg
- updated to 0.8.2

Revision 1.17  2006/04/14 16:40:52  qboosh
- svnqt packaging fixes

Revision 1.16  2006/04/06 11:20:43  maciek2w
- updated to 0.8.1
- added shared lib subpackage with QT C++ wrapper for subversion

Revision 1.15  2006/03/03 11:44:50  matkor
- Autoupdated to 0.7.4-1.

Revision 1.14  2006/02/06 22:53:04  maciek2w
- rel 1
- STBR

Revision 1.13  2006/02/05 20:35:22  maciek2w
- updated to 0.7.3
- BR: subversion-devel >= 1.2.0

Revision 1.12  2006/01/17 15:57:17  baggins
- release 2
- rebuild with openldap 2.3

Revision 1.11  2006/01/12 00:03:51  blekot
- updated to 0.7.2
- more %files (png,svg,libs,konqueror sevicemenus, etc.)

Revision 1.10  2006/01/02 12:53:46  arekm
- rebuild with new neon

Revision 1.9  2005/10/05 16:09:38  wolf
- 0.6.2

Revision 1.8  2005/09/08 15:39:54  pluto
- updated to 0.5.3 (bugfixes).

Revision 1.7  2005/08/16 17:15:49  wolf
- 0.5.0

Revision 1.6  2005/08/12 19:29:27  twittner
- desktop.patch - added `Categories=Qt;KDE;Development;RevisionControl;' to
  desktop file

Revision 1.5  2005/08/11 22:08:26  wolf
- 0.4.2

Revision 1.4  2005/08/05 22:52:44  wolf
- fix amd64

Revision 1.3  2005/08/05 20:14:17  saq
- pl fixes

Revision 1.2  2005/08/05 19:27:46  qboosh
- pl fixes

Revision 1.1  2005/08/05 12:15:38  adamg
- new
